Update End User

PATCH

https://api.sfox.com/v1/enterprise/users/{user_id}

Update an existing end user, likely as part of the onboarding and KYC process. As a reminder, an end user represents a customer of your business. An end user can be either an individual (person) or corporation (business).

circle-info

Only a subset of attributes are accepted on the PATCH endpoint. This subset represents the non-required attributes within the create end user payload. Further, the PATCH endpoint only updates attributes which previously had non-existent (null) values. It does not overwrite values that currently exist on the end user.


Request

Accepted Body Parameters

Parameter
Description

source_of_funds string

Primary source of end user's funds transferred to their account. Possible values: employment, savings, business_income, investor_capital, investments, property_sale, loans, retirement, trading, mining, airdrops, grants, donations_winnings, inheritance_gifts, other

source_of_funds_other string

Description of the end user's primary source of funds, if source_of_funds = other.

Required if source_of_funds = other

intermediary_status boolean

Will the end user be receiving or sending funds on behalf of someone other than themselves.

expected_transfer_volume string

Expected monthly USD notional volume of transfers (sent and received).

Possible values: under_1000, 1000_to_9999, 10000_to_99999, 100000_to_249999, 250000_to_999999, 1000000_to_9999999, 10000000_to_99999999, over_100000000

expected_trade_volume string

Expected monthly USD notional volume of trading (buys and sells).

Possible values: under_1000, 1000_to_9999, 10000_to_99999, 100000_to_249999, 250000_to_999999, 1000000_to_9999999, 10000000_to_99999999, over_100000000

individual object

The individual's identity information, specified in an Individual object.

Required if account_type = individual

business object

The business entity and organizational information, specified in a Business object.

Required if account_type = corporation

beneficial_owners [object]

The business' beneficial owners, specified as an array of Beneficial Owner objects.

Required if account_type = corporation

Individual Parameters

Parameter
Description

employment_status string

The individual's current working status or working relationship with organization(s).

Possible values: full_time_employee, unemployed, retired, student, self_employed, independent_contractor

industry string

The industry or sector that the individual primarily or currently works in.

Possible values: agriculture, administrative_support_services, arts_media, consulting, construction, education, entertainment, energy, ecommerce_digital_platforms, financial_services, food_hospitality, government, healthcare, information_media, manufacturing, mining_crypto, mining_extraction, non_profit, professional_services, personal_services, real_estate, retail_trade, social_services, transportation_warehousing, technology_software, utilities, wholesale_trade

occupation string

The individual's primary occupation.

Possible values: management_executive, business_financial_operations, computer_mathematical, architecture_engineering, life_physical_social_science, healthcare_practitioners_technical, healthcare_support, legal, education_training_library, arts_design_entertainment_media, community_social_service, protective_service, sales_related, office_administrative_support, food_preparation_serving, personal_care_service, building_grounds_maintenance, construction_extraction, installation_maintenance_repair, production_manufacturing, transportation_material_moving, farming_fishing_forestry, military, student, homemaker_caregiver, unemployed_between_jobs, retired

job_title string

The individual's current job title or position.

Business Parameters

Parameter
Description

website string

URL to the business’s website.

Beneficial Owner Parameters

To update beneficial owner attributes, you must first fetch the id of the beneficial owner you want to update via Get End Userarrow-up-right.

Once you have the id, it must be included in the JSON payload's Beneficial Owner object so the sFOX system knows which owner should be updated. To illustrate, an example JSON structure is defined herearrow-up-right.

Parameter
Description

employment_status string

The owner's current working status or working relationship with organization(s).

Possible values: full_time_employee, unemployed, retired, student, self_employed, independent_contractor

industry string

The industry or sector that the owner primarily or currently works in.

Possible values: agriculture, administrative_support_services, arts_media, consulting, construction, education, entertainment, energy, ecommerce_digital_platforms, financial_services, food_hospitality, government, healthcare, information_media, manufacturing, mining_crypto, mining_extraction, non_profit, professional_services, personal_services, real_estate, retail_trade, social_services, transportation_warehousing, technology_software, utilities, wholesale_trade

occupation string

The owner's primary occupation.

Possible values: management_executive, business_financial_operations, computer_mathematical, architecture_engineering, life_physical_social_science, healthcare_practitioners_technical, healthcare_support, legal, education_training_library, arts_design_entertainment_media, community_social_service, protective_service, sales_related, office_administrative_support, food_preparation_serving, personal_care_service, building_grounds_maintenance, construction_extraction, installation_maintenance_repair, production_manufacturing, transportation_material_moving, farming_fishing_forestry, military, student, homemaker_caregiver, unemployed_between_jobs, retired

job_title string

The owner's current job title or position.

Example Requests

Individual End User

Business End User


Response

The response object shares the same schema as the Get End User endpoint, with the provided values now updated.

Last updated